Subject: Re: [PATCH iproute2 2/5] ip fou: Support to configure foo-over-udp RX

From: Stephen Hemminger <[email-masked]>
Date: Sun, 2 Nov 2014 11:36:10 -0800

On Fri,  3 Oct 2014 08:55:15 -0700
Tom Herbert <[email-masked]> wrote:

> Added 'ip fou...' commands to enable/disable UDP ports for doing
> foo-over-udp and Generic UDP Encapsulation variant. Arguments are port
> number to bind to and IP protocol to map to port (for direct FOU).
> 
> Examples:
> 
> ip fou add port 7777 gue
> ip fou add port 8888 ipproto 4
> 
> The first command creates a GUE port, the second creates a direct FOU
> port for IPIP (receive payload is a assumed to be an IPv4 packet).
> 
> Signed-off-by: Tom Herbert <[email-masked]>

Accepted.
Also discovered that fou.h was missing from kernel Kbuild uapi.